Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetUserNamesForGroupTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.GetUserNamesForGroupTag

All Implemented Interfaces
  UserManagementTagConstants, Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated Use com.bea.p13n.usermgmt.taglib.GetUserNamesForGroupTag

    public class GetUserNamesForGroupTag

extends UserManagementTag

Corresponds to `<um:getUsernamesForGroup>`.

The `<um:getUsernamesForGroup>` tag retrieves a String array that contains the usernames matching the provided search expression and correspond to members of the provided group. The search expression supports only the asterisk (*) wildcard character, and is case insensitive. As many asterisks as desired may be used in the search expression. The tag has no enclosed body.

The limit parameter will control how many results are returned; if the number of results returned equals the limit passed in, try refining the search.

Tag Attribute | Required | Type | Description
searchExp | no | String | The search expression to apply to the user name search. Defaults to "*". Example: "`t*`"
groupName | yes | String | The name of the group whose matching members are sought. Example: "`Engineering`"
userLimit | no | String (representing an Integer) | The maximum number of users to be returned from the search. (String which has a particular `Integer.valueOf`) Defaults to 100. Example: "`500`"
id | yes | String | A variable name to which the resultant user names are assigned. Example: "myUsers"
result | no | String | A variable name to which a constant describing the outcome of the operation will be assigned that can later be evaluated to see if the operation was successful. Possible Values: Success: `UserManagerTagConstants.USER_SEARCH_OK` Error encountered: `UserManagerTagConstants.USER_SEARCH_FAILED` Example: "`if(result.intValue() == UserManagerTagConstants.USER_SEARCH_OK) // proceed`"

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetUserNamesForGroupTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Go through the UserManager session bean to retrieve the usernames
`String` | `getGroupName()` Deprecated Get the name of the group to query
`String` | `getResult()` Deprecated Get the name of the variable to assign the result to
`String` | `getSearchExp()` Deprecated Get the search expression
`int` | `getUserLimit()` Deprecated Get the limit of users to return
`void` | `release()` Deprecated Reset the tag's attributes
`void` | `setGroupName(String groupName)` Deprecated Set the name of the group to query
`void` | `setResult(String result)` Deprecated Set the name of the variable to assign the result to
`void` | `setSearchExp(String searchExp)` Deprecated Set the search expression
`void` | `setUserLimit(int userLimit)` Deprecated Set the limit of users to return
`void` | `setUserLimit(String userLimit)` Deprecated Set the limit of users to return

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetUserNamesForGroupTag

    public GetUserNamesForGroupTag()

  Deprecated

Method Detail

### release

    public void release()

  Deprecated
  Reset the tag's attributes

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UserManagementTag`

### doStartTag

    public int doStartTag()

  Deprecated
  Go through the UserManager session bean to retrieve the usernames

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`

### getGroupName

    public String getGroupName()

  Deprecated
  Get the name of the group to query

### setGroupName

    public void setGroupName(String groupName)

  Deprecated
  Set the name of the group to query

### getUserLimit

    public int getUserLimit()

  Deprecated
  Get the limit of users to return

### setUserLimit

    public void setUserLimit(String userLimit)

  Deprecated
  Set the limit of users to return

### setUserLimit

    public void setUserLimit(int userLimit)

  Deprecated
  Set the limit of users to return

### getSearchExp

    public String getSearchExp()

  Deprecated
  Get the search expression

### setSearchExp

    public void setSearchExp(String searchExp)

  Deprecated
  Set the search expression

### getResult

    public String getResult()

  Deprecated
  Get the name of the variable to assign the result to

### setResult

    public void setResult(String result)

  Deprecated
  Set the name of the variable to assign the result to

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved